EXTRA_DIST += $(all_sources) $(cdecls) compile.scm mcrypt.pkg
EXTRA_DIST += mcrypt-check.scm mcrypt-check.sh
-EXTRA_DIST += make.scm optiondb.scm tags-fix.sh
+EXTRA_DIST += make.scm optiondb.scm tags-fix.sh debian
install-data-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
#install-html: install-html-am
# echo '(update-html-index "$(DESTDIR)$(htmldir)/")' \
# | $(MIT_SCHEME_EXE) --batch-mode
uninstall-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
[ -d "$(DESTDIR)$(scmlib_mcryptdir)" ] \
&& rmdir "$(DESTDIR)$(scmlib_mcryptdir)"
# [ -d "$(DESTDIR)$(htmldir)" ] \
--- /dev/null
+mit-scheme-pucked-mcrypt (0.1-1) experimental; urgency=low
+
+ * Initial Debianization.
+
+ -- Friar Puck <puck@birchwood-abbey.net> Sun, 12 Jun 2016 00:00:00 -0700
--- /dev/null
+Source: mit-scheme-pucked-mcrypt
+Section: lisp
+Priority: optional
+Maintainer: Friar Puck <puck@birchwood-abbey.net>
+Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
+ mit-scheme-pucked (>= 9.2.1.1),
+ libmcrypt-dev
+Standards-Version: 3.9.4
+Homepage: http://birchwood-abbey.net/~matt/Scheme/
+Vcs-Git: git://birchwood-abbey.net/~matt/mit-scheme.git
+Vcs-Browser: http://birchwood-abbey.net/gitweb/?p=mit-scheme.git;a=summary
+
+Package: mit-scheme-pucked-mcrypt
+Architecture: any
+Depends: mit-scheme-pucked (>= 9.2.1.1), ${shlibs:Depends}, ${misc:Depends}
+Description: MCrypt plugin for Friar Puck's MIT/GNU Scheme
+ This package provides mit-scheme-pucked with a dynamically loadable
+ wrapper of a small portion of the mcrypt C API as implemented by libmcrypt.
--- /dev/null
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mit-scheme-pucked-mcrypt
+Source: http://birchwood-abbey.net/~matt/Scheme/
+
+Files: *
+Copyright: 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+ 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+ 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016
+ Massachusetts Institute of Technology
+License: GPL-2+
+ This package is an mcrypt plugin for Friar Puck's MIT/GNU Scheme.
+ .
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or (at
+ your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
+ USA.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
--- /dev/null
+NEWS
+README
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+
+export MIT_SCHEME_EXE=mit-scheme-pucked
+
+%:
+ dh $@
--- /dev/null
+3.0 (quilt)
--- /dev/null
+version=3
+http://birchwood-abbey.net/~matt/Scheme/mit-scheme-pucked-mcrypt-(.*)\.tar\.gz debian uupdate